> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

# Changelog

## October 27, 2026

## Added

* **Ats** → [Get interview notes](/api/reference/endpoints/ats/get-interview-notes-v-2026-10-27): Endpoint is now available, which allows to retrieve AI-generated notes (summary, key points, and outline) produced by Interview Assistant for an interview.

## Changed

* **Contractor Hiring** → [Retrieve contractor payment dates](/api/reference/endpoints/contractor-hiring/get-contract-payment-cycles): Added `awaiting_invoice_submission` and `completed` as valid values for `status` in the response.

* **Tasks** → [Create a new task](/api/reference/endpoints/tasks/create-contract-task): Added optional `group_key` and `hourly_report_preset_id` request fields; added `new` as a valid value for `status` in the response.

* **Contracts** → [List of contracts](/api/reference/endpoints/contracts/get-contracts): Added `employment_details` in the response that provides employment-related details for the contract, including non-compete and non-solicitation clause states.

* **On Demand Payroll** → [Retrieve current On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/retrieve-current-on-demand-payroll-v-2026-07-16): Added `id` to each entry in the response that identifies the On-Demand Payroll entry; added `source_service_entry_id` in `metadata` that provides the public ID of the entry in the originating service.

* **On Demand Payroll** → [Create On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/create-on-demand-payroll-v-2026-07-28): Added `id` to each entry in the response that identifies the On-Demand Payroll entry; added `source_service_entry_id` to entry `metadata` that provides the public ID of the entry in the originating service.

* **Accounting** → [Get invoice by id](/api/reference/endpoints/accounting/get-invoice-by-id-v-2026-01-01): Added `contract_id` in the response that provides the unique identifier of the related contract.

* **Ats Applications** → [Retrieve ATS application](/api/reference/endpoints/ats-applications/retrieve-ats-application-v-2026-01-01): Added `source_channel_name`, `source_channel_medium_slug`, and `source_channel_campaign_slug` to the response, providing the source channel name, placement medium, and hiring campaign for the application's traffic source.

* **Ats Applications** → [Retrieve a list of ATS applications](/api/reference/endpoints/ats-applications/retrieve-a-list-of-ats-applications-v-2026-01-01): Added `source_channel_name`, `source_channel_medium_slug`, and `source_channel_campaign_slug` to the response, providing the source channel name, placement kind, and hiring campaign for the application's referral source.

## October 23, 2026

## Added

* **Ats** → [List feedbacks for an application](/api/reference/endpoints/ats/list-application-feedbacks-v-2026-10-23): Endpoint is now available, which allows to list feedbacks submitted for activities on a given application, including reviewer profiles, overall recommendations, and form responses.

## Changed

* **Accounting** → [Retrieve payment receipts](/api/reference/endpoints/accounting/retrieve-payment-receipts-v-2027-01-01): Added `dbc_credits` as a new valid value for the `payment_method.type` field in the response.

## October 21, 2026

## Changed

* **Eor Contract** → [Retrieve EOR Contract Details](/api/reference/endpoints/eor-contract/get-e-o-r-contract-details): Added `work_arrangement_type` field to the response, extended `payroll_type` enum with `BIWEEKLY`, `WEEKLY`, `FOUR_WEEKLY`, and `QUARTERLY` values, and added `COMPLIANCE_RESTRICTIONS` to the `rejection_reason` enum.

* **Forms** → [Fetch multiple EOR Contract forms](/api/reference/endpoints/forms/fetch-multiple-eor-contract-forms-v-2026-01-01): Added `Nested` as a new supported value for the `type` field in form questions.

## October 20, 2026

## Changed

* **Eor Benefits** → [Retrieve Benefits for EOR Contract](/api/reference/endpoints/eor-benefits/get-e-o-r-benefits-by-contract-id): Added `worker_benefits_link` in the response that provides a short-lived URL for worker benefits enrollment and management.

## October 19, 2026

## Changed

* **Global Payroll** → [Retrieve additional information fields for GP workers by country](/api/reference/endpoints/global-payroll/retrieve-additional-information-fields-for-gp-workers-by-country-v-2026-01-01): Added `gte` and `lte` comparison operators, a standalone `notnull` operator, and an array of allowed values to the `dependencies[].value` response field.

## October 16, 2026

## Added

* **Ats** → [Get an interview transcript](/api/reference/endpoints/ats/get-interview-transcript-v-2026-10-16): Endpoint is now available, which allows to retrieve the transcript of an interview as a paginated, ordered list of speaker segments.

* **Legal Entities** → [Submit EDD request answers for a legal entity](/api/reference/endpoints/legal-entities/answer-legal-entity-kyb-edd-v-2026-10-16): Endpoint is now available, which allows to answer the open enhanced due diligence (EDD) request of a legal entity by submitting answers for each question in the EDD form.

## Changed

* **It Products** → [List products in the catalog](/api/reference/endpoints/it-products/list-it-products-v-2026-09-17): Added `category` query parameter that filters results by product category.

* **Ats Applications** → [Retrieve a list of ATS applications](/api/reference/endpoints/ats-applications/retrieve-a-list-of-ats-applications-v-2026-01-01): Added `position_number` to the `current_application_interview_plan_stage.interview_plan_stage` response field that indicates the ordinal position of the stage in the job pipeline; raised the `limit` query parameter maximum from 100 to 500.

* **Ats Offers** → [Retrieve a list of ATS offers](/api/reference/endpoints/ats-offers/retrieve-a-list-of-ats-offers-v-2026-01-01): Added `application` object and `sent_at` field to the response that identify the offer's candidate and job without a second lookup and record when the offer was sent to the candidate.

* **Webhooks** → [Retrieve a single webhook](/api/reference/endpoints/webhooks/get-webhook): Added `include_child_orgs` to the response that indicates whether the webhook will also receive events from child organizations.

* **Ats Jobs** → [Retrieve a list of ATS jobs](/api/reference/endpoints/ats-jobs/retrieve-a-list-of-ats-jobs): Added optional `job_ids` query parameter that allows resolving specific jobs by UUID, and added `PAUSED` as a new allowed value to the `status` filter parameter and response field.

* **Webhooks** → [Update a webhook](/api/reference/endpoints/webhooks/update-webhook): Added `url`, `name`, `events`, and `description` fields to the request body, allowing callers to update additional webhook subscription properties.

* **Eor** → [Get amendment data points configuration by country](/api/reference/endpoints/eor/get-amendment-data-points-configuration-by-country-v-2026-05-06): Added new allowed values to the `item` enum in the response: `END_DATE`, `CURRENCY`, `TIME_OFF_TYPE`, `FIXED_ALLOWANCES`, `PROBATION_PERIOD`, `SENIORITY_ID`, `WORK_HOURS_PER_WEEK`, `EMPLOYMENT_STATE`, `EMPLOYMENT_TYPE`, `EMPLOYEE_NATIONALITY`, `NOTICE_PERIOD_DURING_PROBATION`, `NOTICE_PERIOD_AFTER_PROBATION`, `NOTICE_PERIOD_TYPE`, `WORK_SCHEDULE`, `SENIORITY_DATE`, `JOB_CATEGORY`, and `JOB_CODE`.

* **Custom Fields Contracts** → [List all custom fields](/api/reference/endpoints/custom-fields-contracts/list-contract-custom-fields): Added `hyperlink` as a new allowed value for the `type.name` field in the response, enabling custom fields of hyperlink type.

* **Custom Fields Contracts** → [Get custom fields from contracts](/api/reference/endpoints/custom-fields-contracts/get-custom-field): Added `hyperlink` as a new allowed value for the `type.name` field in the response, enabling custom fields of hyperlink type.

* **Custom Fields Contracts** → [Retrieve custom fields for a contract](/api/reference/endpoints/custom-fields-contracts/get-contract-custom-fields): Added `hyperlink` as a new allowed value for the `type` field in the response.

* **Custom Fields People** → [List all people custom fields](/api/reference/endpoints/custom-fields-people/get-custom-fields): Added `hyperlink` as a new allowed value for the `type.name` field and `peo`, `hris_direct_contractor`, and `person_without_contract` as new allowed values for the `settings.worker_types` field in the response.

* **Custom Fields People** → [Retrieve custom fields for a worker](/api/reference/endpoints/custom-fields-people/get-person-custom-fields): Added `hyperlink` as a new allowed value for the `type` field in the response.

* **Legal Entities** → [Submit KYB information for a legal entity](/api/reference/endpoints/legal-entities/submit-legal-entity-kyb-v-2026-10-12): Added `null` as an explicit allowed value for `meta_type` in the response `documents` array, documenting that it is null for non-Proof of Authority documents.

* **Legal Entities** → [Retrieve the KYB state of a legal entity](/api/reference/endpoints/legal-entities/get-legal-entity-kyb-state-v-2026-10-01): Added `null` as an explicit allowed value in the `meta_type` enum of `documents` response items, reflecting that this field is null for non-Proof of Authority documents.

* **Adjustments** → [Retrieve adjustments](/api/reference/endpoints/adjustments/get-contract-adjustments): Added `odp_only` to the response that indicates whether the adjustment is restricted to on-demand payroll and never attached to a regular payroll cycle.

## October 15, 2026

## Changed

* **People** → [Create a person without a contract](/api/reference/endpoints/people/create-person-without-contract): Added `address` field to the request body that allows specifying the home address of the person being hired.

* **Immigration** → [Get case timeline](/api/reference/endpoints/immigration/get-case-timeline-v-2026-10-14): Added `AGENT_ADD_RFE_DEADLINE` as a new allowed value for the `type` field of actions.

## October 14, 2026

## Added

* **Legal Entities** → [Upload a document for an EDD request of a legal entity](/api/reference/endpoints/legal-entities/upload-legal-entity-kyb-edd-document-v-2026-10-14): Endpoint is now available, which allows to upload a document for a `DOCUMENT_UPLOAD` question of an open EDD request and obtain an opaque handle to reference in an EDD answer.

* **Legal Entities** → [Submit KYB information for a legal entity](/api/reference/endpoints/legal-entities/submit-legal-entity-kyb-v-2026-10-12): Endpoint is now available, which allows to submit Know Your Business (KYB) verification information, company documents, and declared persons of significant control for a legal entity.

* **Immigration** → [Get case timeline](/api/reference/endpoints/immigration/get-case-timeline-v-2026-10-14): Endpoint is now available, which allows to retrieve the processes, steps and client or employee actions of a case.

* **Immigration** → [List case visa application quotes](/api/reference/endpoints/immigration/list-case-visa-application-quotes-v-2026-10-14): Endpoint is now available, which allows to retrieve the visa application quote Deel proposed on an eligibility check case, with all its fees.

* **Immigration** → [List case invoices](/api/reference/endpoints/immigration/list-case-invoices-v-2026-10-14): Endpoint is now available, which allows to retrieve the invoices issued to the organization for a case, including payment status, amount, currency, and due date.

* **Immigration** → [Approve a visa application quote](/api/reference/endpoints/immigration/approve-visa-application-quote-v-2026-10-14): Endpoint is now available, which allows to approve a visa application quote for an eligibility check case.

## Changed

* **Ats** → [List interviews](/api/reference/endpoints/ats/list-interviews-v-2026-06-03): Added `SLOT_REQUEST_SENT` and `SLOTS_SUBMITTED` to the `status_enum` response field and `status` filter parameter allowed values.

* **Legal Entities** → [Retrieve the KYB state of a legal entity](/api/reference/endpoints/legal-entities/get-legal-entity-kyb-state-v-2026-10-01): Added `edd` to the response that provides the open enhanced due diligence (EDD) request, including its status and questions, while the entity is under EDD review.

* **Eor** → [Reject an EOR quote](/api/reference/endpoints/eor/reject-eor-quote-v-2026-09-10): Added `COMPLIANCE_RESTRICTIONS` to the allowed values of `reason` in the request body.

* **Accounting** → [Get invoice by id](/api/reference/endpoints/accounting/get-invoice-by-id-v-2026-01-01): Added `adjustment_id` and `pricing_fx_rate` fields to `line_items` in the response.

* **Time Off** → [List time-off requests for Organization](/api/reference/endpoints/time-off/list-time-off-requests-for-organization-v-2026-01-01): Added `AUTO_BANK_HOLIDAY` to the allowed values of `time_off_origin` in the response, representing a bank holiday request that the system books for the worker.

## October 13, 2026

## Changed

* **Time Tracking Shifts** → [List of shifts](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shifts): Changed `time_amount` minimum validation in the response from exclusive (must be greater than 0) to inclusive (value of 0 is now allowed).

* **Time Tracking Shifts** → [Create shifts](/api/reference/endpoints/time-tracking-shifts/create-time-tracking-shifts): Changed `time_amount` and `total_payable_hours` minimum validation in the correction shift `summary` from exclusive (must be greater than 0) to inclusive (value of 0 is now allowed), enabling correction shifts to fully zero out the hours of the original shift.

* **Payouts** → [Update a bank transfer method](/api/reference/endpoints/payouts/update-a-bank-transfer-method-v-2026-01-01): Added `version` in the response that provides the version identifier for the bank transfer method.

## October 12, 2026

## Added

* **Global Payroll** → [Create a Global Payroll worker](/api/reference/endpoints/global-payroll/create-gp-worker-v-2026-10-01): Endpoint is now available, which allows to create a Global Payroll worker and their contract in a single call.

* **Global Payroll** → [Retrieve the Global Payroll worker creation schema](/api/reference/endpoints/global-payroll/retrieve-gp-worker-creation-schema-v-2026-10-01): Endpoint is now available, which allows to retrieve the fields accepted by the Global Payroll worker creation endpoint, including required status, permitted values, and validation rules.

* **Organizations** → [Add admins to child organizations](/api/reference/endpoints/organizations/add-child-organization-admins-v-2026-10-12): Endpoint is now available, which allows to add multiple admins to child organizations in one call.

* **Global Payroll** → [Get payroll activation readiness for a legal entity](/api/reference/endpoints/global-payroll/get-payroll-activations-v-2026-10-12): Endpoint is now available, which allows to check whether a legal entity has reached payroll activation readiness.

* **Global Payroll** → [Update end date for a contract](/api/reference/endpoints/global-payroll/update-end-date-for-a-contract-v-2026-10-12): Endpoint is now available, which allows to update the end date of a Global Payroll contract, making it fixed-term when an end date is set or open-ended when null, effective from a specified date.

## Changed

* **Ats Applications** → [Retrieve ATS application](/api/reference/endpoints/ats-applications/retrieve-ats-application-v-2026-01-01): Added `EXPIRED` to the `offer_status_enum` response field that indicates an offer has expired.

* **Eor Contract** → [Create an EOR contract](/api/reference/endpoints/eor-contract/create-e-o-r-contract): Added `job_code` and `job_category` to the response that provide the country-specific occupation code and the job category assigned to the role.

* **Legal Entities** → [List of legal entities](/api/reference/endpoints/legal-entities/get-legal-entities): Added `status` field to each item in the response that provides the mapped legal entity lifecycle status.

* **People** → [Retrieve a single person](/api/reference/endpoints/people/get-person-by-id): Added `person_status` and `lifecycle_status` to the response that provide the person profile status and work lifecycle stage respectively; also added `middle_name` and other new response fields.

* **Organizations** → [Create child organization](/api/reference/endpoints/organizations/create-organization-child): Added optional `parent_admin_emails` and `child_admins` arrays to the request, allowing callers to specify parent organization admins and child organization admins when creating a child organization.

* **Onboarding** → [Get onboarding details by employee HRIS profile ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-employee-hris-profile-id-v-2026-01-01): Added `banner`, `actions`, `contracts`, and `app_experience` fields to the response, and expanded `profile`, `stepper`, `contract`, `progress`, `checklist`, and `hris_profile` with additional sub-fields.

* **Onboarding** → [Get onboarding details by onboarding tracker ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-onboarding-tracker-id-v-2026-01-01): Added `banner`, `actions`, `contracts`, and `app_experience` to the response, and extended `profile`, `stepper`, `contract`, `progress`, `checklist`, and `hris_profile` with additional sub-fields.

* **Onboarding** → [List onboarding employees](/api/reference/endpoints/onboarding/list-onboarding-employees-v-2026-01-01): Added `lifecycleStatuses`, `waitingOnParties`, `card`, `weekFromDate`, and `weekToDate` query parameters for filtering; added `profile`, `overview`, `contracts`, `pending_steps`, `invitation_sent`, and `can_send_invitation` to each response item; and expanded `contract`, `progress`, `hris_profile`, and `app_experience` with additional sub-fields.

* **Eor Offboarding** → [Retrieve Offboarding Request](/api/reference/endpoints/eor-offboarding/get-contract-offboarding): Added new values to the `reason` field in the `request_data` response, including `WORKER_TYPE_CHANGE`, `DISSATISFIED_WITH_DEEL_SERVICE`, `DISSATISFIED_WITH_DEEL_PRICING`, `DISSATISFIED_WITH_DEEL_PRODUCT`, `DEEL_COLLECTIONS`, and additional employee departure reason codes.

* **Time Off** → [Create time-off request](/api/reference/endpoints/time-off/create-time-off-request): Added `custom_field_values` to the request and response that allows submitting and retrieving answers to custom fields declared by the time-off policy.

* **Time Off** → [Validate time-off request](/api/reference/endpoints/time-off/validate-time-off): Added `custom_field_values` to the request and `custom_fields` and `custom_field_validation_results` to the response to support submitting and validating custom field answers declared by the time-off policy.

* **Time Off** → [List time-off requests for Organization](/api/reference/endpoints/time-off/list-time-off-requests-for-organization-v-2026-01-01): Added `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave` as accepted values for the `policy_type_names` filter parameter.

* **Time Off** → [List policies](/api/reference/endpoints/time-off/get-time-off-policies): Added `has_custom_fields`, `is_requiring_custom_fields`, and `custom_fields` to the response, and expanded the `policy_type_name` query parameter with additional allowed values.

* **Time Off** → [Process time-off requests from an external HRIS](/api/reference/endpoints/time-off/sync-time-off-global-payroll): Added new accepted values to `policy_type` in the request: `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, `Shared parental leave`, and `Work Location`.

* **Time Off** → [Get Profile Entitlements](/api/reference/endpoints/time-off/get-time-off-entitlements): Added five new values to the `policy_type_name` filter: `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave`.

* **Time Off** → [List time-off requests](/api/reference/endpoints/time-off/get-time-off-profile): Added `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave` as accepted values for the `policy_type_names` filter parameter.

* **Time Off** → [Get Policies for Organization](/api/reference/endpoints/time-off/get-policies-for-organization-v-2026-09-09): Added five UK family leave types to the `policy_type` filter: `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave`.

* **Ats Locations** → [Retrieve a list of ATS locations](/api/reference/endpoints/ats-locations/retrieve-a-list-of-ats-locations-v-2026-01-01): Added `include_archived` query parameter to include archived locations in the response, and added `archived_at` response field indicating when a location was archived.

* **Ats Tags** → [List tags](/api/reference/endpoints/ats-tags/list-tags-v-2026-02-27): Added `include_archived` query parameter to include archived tags in the response, and added `archived_at` field to the response that indicates when a tag was archived.

* **Ats Departments** → [Retrieve a list of ATS departments](/api/reference/endpoints/ats-departments/retrieve-a-list-of-ats-departments): Added `include_archived` query parameter to include archived departments in the response, and added `archived_at` response field indicating when a department was archived.

* **Ats Reasons** → [Retrieve paginated list of ATS Rejection/Archivation reasons](/api/reference/endpoints/ats-reasons/retrieve-paginated-list-of-ats-rejection-archivation-reasons-v-2026-01-01): Added `include_archived` query parameter to include archived reasons in the response, and added `archived_at` response field indicating when a reason was archived.

* **Ats** → [Retrieve a list of ATS teams](/api/reference/endpoints/ats/retrieve-a-list-of-ats-teams-v-2026-06-24): Added `include_archived` query parameter to include archived teams in the response, and added `archived_at` response field indicating when a team was archived.

* **Users** → [List users](/api/reference/endpoints/users/get-users): Added `jobProfile` field in the response that provides the worker's active job profile from job architecture, and `departmentCustomFields` field that provides org-structure custom fields for the department node.

* **Users** → [Retrieve a single User](/api/reference/endpoints/users/get-user-by-id): Added `jobProfile` field in the response that provides the worker's active job profile from job architecture, and `departmentCustomFields` field that provides org-structure custom fields for the department node.

## October 8, 2026

## Changed

* **Payments** → [Create and pay a payment statement](/api/reference/endpoints/payments/create-payment-statement-v-2026-07-23): Added new fields to `beneficiary_details` in the response (`address`, `bsb_code`, `bank_code`, `ifsc_code`, `branch_code`, `account_type`, `bank_address`, `routing_number`, `intermediary_bank`, `ach_routing_number`, `wire_routing_number`) that provide additional bank routing details for various payment rails.

* **Payments** → [Retrieve a payment statement](/api/reference/endpoints/payments/get-payment-statement-v-2026-07-23): Added new fields to `beneficiary_details` in the response, including `address`, `bsb_code`, `bank_code`, `ifsc_code`, `branch_code`, `account_type`, `bank_address`, `routing_number`, `ach_routing_number`, `wire_routing_number`, and `intermediary_bank`.

## October 6, 2026

## Changed

* **On Demand Payroll** → [List On-Demand Payroll entries](/api/reference/endpoints/on-demand-payroll/list-on-demand-payroll-entries-v-2026-07-16): Added `id` to entries in the response that identifies each On-Demand Payroll entry, and added `source_service_entry_id` to `metadata` in the response that correlates the entry with its source resource.

## October 5, 2026

## Added

* **Eor** → [Get additional information](/api/reference/endpoints/eor/get-additional-information-v-2026-09-18): Endpoint is now available, which allows to retrieve the additional information saved on an EOR worker's employee agreement.

## Changed

* **Time Tracking** → [Update a Shift Rate](/api/reference/endpoints/time-tracking/update-time-tracking-shift-rate-by-external-id): Added guarantee that `external_id`, `name`, `created_at`, and `updated_at` are always present in the response.

* **Time Tracking** → [Create a New Shift Rate](/api/reference/endpoints/time-tracking/create-time-tracking-shift-rate): Added `created_at` and `updated_at` fields in the response that provide timestamps for when the shift rate was created and last updated.

* **Time Tracking** → [Retrieve a Shift Rate by External ID](/api/reference/endpoints/time-tracking/get-time-tracking-shift-rate-by-external-id): Added `created_at` and `updated_at` fields to the response.

* **Time Tracking Shifts** → [Create raw time tracking shifts](/api/reference/endpoints/time-tracking-shifts/create-time-tracking-shifts-raw): Added optional `payroll_cycle_ref` to the request body shift items and added `summary`, `shift_type`, `payroll_cycle_ref`, and `shift_reference_id` fields to the response.

* **Time Tracking Shifts** → [List of shifts](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shifts): Added `shift_reference_id`, `summary.time_unit`, and `summary.time_amount` optional fields to the response, and added the `contract_id` optional query parameter for filtering by contract IDs.

* **Time Tracking Shifts** → [Update a shift](/api/reference/endpoints/time-tracking-shifts/update-time-tracking-shift-by-external-id): Added `meta`, `shift_type`, and `shift_reference_id` fields to the response.

* **Time Tracking Shifts** → [Create shifts](/api/reference/endpoints/time-tracking-shifts/create-time-tracking-shifts): Added `meta` field to the response that provides shift start, end, break details, and approval date information.

* **Time Tracking Shifts** → [Get Shift details](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shift-by-external-id): Added `time_unit` and `time_amount` fields to the `summary` object in the response, and added `shift_reference_id` field to the response.

* **Contracts** → [Retrieve a single contract](/api/reference/endpoints/contracts/get-contract): Added `division` field in the response that indicates the division the worker belongs to, sourced from the active job information of a Global Payroll contract (null for other contract types or when no division is set). Added `non_compete_clause` and `non_solicitation_clause` fields in the response that indicate the respective clause states on the active EOR statement of work.

## October 2, 2026

## Added

* **Legal Entities** → [Upload a KYB document for a legal entity](/api/reference/endpoints/legal-entities/upload-legal-entity-kyb-document-v-2026-10-02): Endpoint is now available, which allows to upload a KYB document (company document, Proof of Authority, or identity document) for a legal entity and returns an opaque handle for use in a KYB submission.

## Changed

* **Adjustments** → [Update an adjustment](/api/reference/endpoints/adjustments/update-contract-adjustment): Added `odp_only` and `date_of_adjustment` fields to the request body; `odp_only` restricts EOR contract adjustments to on-demand payroll, and `date_of_adjustment` sets the adjustment date in ISO-8601 format.

* **Time Off** → [Update time-off request](/api/reference/endpoints/time-off/update-time-off-request): Added `custom_field_values` to the request and response bodies to support submitting and retrieving answers to custom fields declared by the time-off policy.

* **Time Off** → [List time-off requests](/api/reference/endpoints/time-off/get-time-off-profile): Added `custom_field_values` in the response that provides answers to the custom fields declared by the time-off request policy.

* **Time Off** → [Get Policies for Organization](/api/reference/endpoints/time-off/get-policies-for-organization-v-2026-09-09): Added `has_custom_fields`, `is_requiring_custom_fields`, and `custom_fields` fields to the response, indicating whether the policy uses custom fields and providing the policy's custom field definitions.

## October 1, 2026

## Added

* **Legal Entities** → [Retrieve the KYB state of a legal entity](/api/reference/endpoints/legal-entities/get-legal-entity-kyb-state-v-2026-10-01): Endpoint is now available, which allows to retrieve the Know Your Business (KYB) verification state of a legal entity, including its status, outstanding requirements, company documents, and declared persons of significant control.

* **Ats** → [Retrieve a list of ATS hires](/api/reference/endpoints/ats/retrieve-a-list-of-ats-hires-v-2026-10-01): Endpoint is now available, which allows to retrieve ATS application to HRIS profile mappings, including hire status and HRIS profile identifiers, with cursor-based pagination.

## Changed

* **Ats Applications** → [Retrieve a list of ATS applications](/api/reference/endpoints/ats-applications/retrieve-a-list-of-ats-applications-v-2026-01-01): Added `country_code` and `city` fields in the response that provide the candidate's country code (ISO 3166-1 alpha-2) and city.

* **Ats Candidates** → [Create ATS Candidate](/api/reference/endpoints/ats-candidates/create-ats-candidate-v-2026-01-01): Added optional `country_code` and `city` fields to the request body and response, allowing callers to set and read the candidate's location.

* **Ats** → [Retrieve an ATS candidate](/api/reference/endpoints/ats/retrieve-ats-candidate-v-2026-09-18): Added `country_code` and `city` fields to the response that indicate the ISO 3166-1 alpha-2 country and city the candidate currently lives in.

* **Ats** → [Update ATS Candidate](/api/reference/endpoints/ats/update-ats-candidate-v-2026-09-16): Added `country_code` and `city` fields to the request body and response that allow callers to set and read the candidate's location.

* **Ats Applications** → [Retrieve ATS application](/api/reference/endpoints/ats-applications/retrieve-ats-application-v-2026-01-01): Added `city` and `country_code` fields to the `candidate` object in the response.

* **Ats** → [Retrieve ATS Application form](/api/reference/endpoints/ats/retrieve-ats-application-form-v-2026-01-01): Added `should_show_location_country_field`, `should_show_location_city_field`, `is_location_country_field_required`, and `is_location_city_field_required` fields to the response, along with `is_phone_number_required` and `is_linkedin_profile_url_required` as guaranteed response fields.

## September 30, 2026

## Added

* **It Orders** → [Approve an IT order](/api/reference/endpoints/it-orders/approve-it-order-v-2026-09-30): Endpoint is now available, which allows to approve an IT order that is awaiting approval, moving it to approved status, creating assignments for approved items, and starting fulfilment.

* **It Orders** → [Reject an IT order](/api/reference/endpoints/it-orders/decline-it-order-v-2026-09-30): Endpoint is now available, which allows to decline an IT order that is awaiting approval, moving it to a DECLINED status.

* **Organizations** → [Create a deal registration](/api/reference/endpoints/organizations/create-deal-registration-v-2026-09-30): Endpoint is now available, which allows to register a prospective end client against a partner organization, protecting the partner's claim on that client for a fixed period.

## Changed

* **Clearance Requests** → [Create a clearance request for an asset](/api/reference/endpoints/clearance-requests/clear-it-asset-v-2026-09-17): Added `SKIPPED_QUOTE` to the allowed values of `request_items[].status` in the response.

* **Clearance Requests** → [Cancel a clearance request](/api/reference/endpoints/clearance-requests/cancel-a-clearance-request-v-2026-09-15): Added `SKIPPED_QUOTE` to the allowed values of `request_items[].status` in the response.

* **Clearance Requests** → [Retrieve a clearance request](/api/reference/endpoints/clearance-requests/retrieve-a-clearance-request-v-2026-09-15): Added `SKIPPED_QUOTE` to the allowed values of `request_items[].status` in the response.

* **Clearance Requests** → [Approve or reject quotes on a clearance request](/api/reference/endpoints/clearance-requests/decide-a-clearance-request-v-2026-09-17): Added `SKIPPED_QUOTE` to the allowed values of `request_items[].status` in the response.

* **Adjustments** → [Create a new adjustment](/api/reference/endpoints/adjustments/create-contract-adjustment): Added `application/json` as a supported request content type; added optional `odp_only` and `submitter_profile_id` fields to the request, and added `odp_only` to the response.

* **Adjustments** → [Retrieve an adjustment](/api/reference/endpoints/adjustments/get-contract-adjustment): Added `odp_only` in the response that indicates whether the adjustment is restricted to on-demand payroll and never attached to a regular payroll cycle.

* **Contractor Amendments** → [Update contract](/api/reference/endpoints/contractor-amendments/create-contract-amendment): Added support for Global Payroll contracts, including new request fields such as `effective_date`, `type_of_edit`, `base_compensation_type`, and `variable_compensations`, and a new Global Payroll response variant.

* **Accounting** → [Retrieve payment receipts](/api/reference/endpoints/accounting/retrieve-payment-receipts-v-2027-01-01): Added `sepa_debit`, `bacs_debit`, and `wallet_balance` as new allowed values for `payment_method.type` in the response.

* **Off Cycle** → [Add off-cycle payment](/api/reference/endpoints/off-cycle/create-contract-off-cycle-payment): Added `payment_due_date` to the request body that specifies the due date of the resulting one-off invoice in ISO-8601 format (YYYY-MM-DD).

* **People** → [List of People](/api/reference/endpoints/people/get-people): Added `lifecycle_status` to the response and as a filter (`lifecycle_statuses`) and sort option, indicating where each person sits in the work lifecycle.

* **Contracts** → [List work statement payment policies](/api/reference/endpoints/contracts/get-work-statement-payment-policies-v-2026-09-07): Added `null` as an explicit allowed value in the `end_week_parity` enum field in the response.

* **Organization Tasks** → [List organization tasks](/api/reference/endpoints/organization-tasks/list-organization-tasks-v-2026-03-03): Added `EXPENSES_TO_CLARIFY` and `APPROVE_CHILD_ORG_CONTRACT_EDIT` as new allowed values for the `category` query parameter filter.

* **Onboarding** → [List onboarding employees](/api/reference/endpoints/onboarding/list-onboarding-employees-v-2026-01-01): Added `worker`, `country`, and `start_date` to each response item, and added `progress.steps`, `progress.waiting_on`, and `progress.lifecycle_status` to the progress object; added new allowed values to the `progressStatuses` query parameter filter.

* **Immigration** → [List of immigration cases](/api/reference/endpoints/immigration/get-client-cases): Added `TERMINATION_REVERSED` and `CONVERTED_TO_VISA_APPLICATION` as new allowed values for `closure.reason` in the response.

## September 29, 2026

## Added

* **Ats** → [Upload an ATS attachment file](/api/reference/endpoints/ats/create-ats-attachment-file-v-2026-01-01): Endpoint is now available, which allows to upload a file and attach it to an ATS candidate, offer, or job activity.

* **Contracts** → [Submit Global Payroll amendment signature](/api/reference/endpoints/contracts/sign-global-payroll-amendment-v-2026-09-29): Endpoint is now available, which allows to sign a pending Global Payroll amendment on the client's behalf, applying the change.

* **ATS** → [Add note to a candidate](/api/reference/endpoints/ats/add-note-to-a-candidate-v-2026-01-01): Endpoint is now available, which allows to add a note to a candidate, keeping the note visible across all of that candidate's applications.

## September 28, 2026

## Added

* **Payouts** → [Get static employee bank transfer requirements](/api/reference/endpoints/payouts/get-static-employee-bank-transfer-requirements-v-2026-09-28): Endpoint is now available, which allows to retrieve static bank transfer requirements for a bank country and currency for employee payouts.

## September 25, 2026

## Added

* **It Seats** → [Retrieve the IT seat subscription](/api/reference/endpoints/it-seats/retrieve-the-it-seat-contract-v-2026-09-25): Endpoint is now available, which allows to retrieve the organization's IT seat subscription details, including paid, assigned, available, and pending approval seats, monthly seat price, and subscription term and status.

* **It Seats** → [Unassign workers from IT seats](/api/reference/endpoints/it-seats/unassign-workers-from-it-seats-v-2026-09-25): Endpoint is now available, which allows to release the IT seats of up to 100 workers in a single all-or-nothing call, freeing the seats for other workers.

* **It Seats** → [List IT seats](/api/reference/endpoints/it-seats/list-it-seats-v-2026-09-25): Endpoint is now available, which allows to list the IT seats of an organization for auditing which worker holds which seat and reconciling seat usage, with filtering by seat status and HRIS profile.

* **It Seats** → [Assign workers to IT seats](/api/reference/endpoints/it-seats/assign-workers-to-it-seats-v-2026-09-24): Endpoint is now available, which allows to assign up to 100 workers to an IT seat subscription in a single all-or-nothing call, with optional automatic seat purchasing when the subscription has insufficient free seats.

* **IT Policies** → [List users assigned to an IT policy](/api/reference/endpoints/it-policies/list-it-policy-users-v-2026-09-25): Endpoint is now available, which allows to list the workers assigned to one of your organization's IT hardware policies.

## Changed

* **IT Products** → [List products in the catalog](/api/reference/endpoints/it-products/list-it-products-v-2026-09-17): Added `categories`, `operating_systems`, `keyboard_layouts`, `brands`, `it_policy_ids`, and `is_marketplace` query parameters to filter products by category, operating system, keyboard layout, manufacturer, IT policy, and marketplace sourcing.

## September 22, 2026

## Changed

* **Ats** → [List interviews](/api/reference/endpoints/ats/list-interviews-v-2026-06-03): Added `application_ids` and `interview_plan_stage_ids` filter parameters, `LATEST_MEETING_FIRST` sort option, and new response fields including `cancelled_at`, `has_happened`, `interview_plan_stage`, and interview feedback fields `submitted_at` and `overall_recommendation`.

_Showing the 20 most recent of 80 entries. Append `/llms.txt` to the changelog URL for the complete index._